#ifndef tran_for_coder_h__
#define tran_for_coder_h__




#include "list.h"
#include "bytearray.h"
#include "signal.h"





signal code2_end_signal(void *obj,int ack,array_def *data);

signal code2_start_signal(void *obj);







#endif

